Question

Update VM Categories with v3 API PUT

  • 28 March 2021
  • 0 replies
  • 84 views

Userlevel 1
Badge +2

I’m using AOS 5.15.4 and Prism Central pc.2021.1.0.1. Been trying to Update a VM’s categories using the v3 API PUT operation, but I keep getting the following error:

{'api_version': '3.1', 'code': 409, 'message_list': [{'message': 'Edit conflict: please retry change. Entity CAS version mismatch.', 'reason': 'CONCURRENT_REQUESTS_NOT_ALLOWED'}], 'state': 'ERROR'}

I’ve seen others get the same error as well, but without any resolution mentioned. Tried a few suggestions (use_categories_mapping = True, machine_type = “PC”, checked spec_version) depending on suggestions in forums/Support Portal, but nothing worked.

Also, I’ve noticed (from release notes in various versions) that this error appears now and then with mentions of it being fixed. What is this error and why is it plaguing the v3 API? An update operation with PUT is very useful for automation and customization. Do the versions of PC and PE (mentioned above) that I’m running have this bug which is fixed in a later version of PE (AOS), as I’m on the latest version of PC?


0 replies

Be the first to reply!

Reply